pluginManagement {
    repositories {
        google {
            content {
                includeGroupByRegex("com\\.android.*")
                includeGroupByRegex("com\\.google.*")
                includeGroupByRegex("androidx.*")
            }
        }
        mavenCentral()
        gradlePluginPortal()
    }
}
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        google()
        mavenCentral()

        flatDir {
            dirs("libs")
        }
        maven("https://jitpack.io")
        // Ironsource
        maven("https://android-sdk.is.com/")
        // Pangle
        maven("https://artifact.bytedance.com/repository/pangle")
        // Chartboost
        maven("https://cboost.jfrog.io/artifactory/chartboost-ads/")
        maven {
            name = "Chartboost Mediation’s maven repo"
            url = uri("https://cboost.jfrog.io/artifactory/chartboost-mediation")
        }
        // Mintegral
        //Launch GP market application， Android X Version
        //If you fail to pull the code using gradle, add the maven warehouse configuration to the project root build.gradle file
        maven("https://dl-maven-android.mintegral.com/repository/mbridge_android_sdk_oversea")
    }
}

rootProject.name = "WallpaperGallery"
include(":app")
 